html,
body {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}

body {
	font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto,
		Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
	width: 100vw;
	height: 100vh;
	background-color: #f4f9fa;
}
main {
	display: flex;
	max-width: 100%;
	max-height: 100vh;
}

.banner-section {
	flex: 1;
	display: flex;
	position: relative;
	justify-content: center;
	overflow: hidden;
	min-height: 50%;
}
.banner-section > div {
	color: white;
	font-size: 3.3rem;
	font-family: 'Splash', cursive;
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: rgba(0, 0, 0, 0.5);
	max-height: 200px;
	width: 100%;
	position: absolute;
	top: 45%;
}

.banner-section > img {
	flex-shrink: 0;
	min-width: 100%;
	min-height: 100%;
	object-fit: cover;
}

.form-section {
	flex: 1.6;
	display: flex;
	flex-direction: column;
	width: 80%;
}

.top-paragraph {
	flex: 1.6;
	height: 100%;
	max-height: 100vh;
	padding: 0 160px 32px 42px;

	display: flex;
	flex-flow: column;
	align-items: flex-start;
	justify-content: end;

	font-size: 1.5rem;
	font-weight: 600;
}
.top-paragraph > div {
	max-width: 700px;
}

.registration-form {
	flex: 1;

	padding: 16px 0 42px 42px;
	background-color: #fff;
	box-shadow: 0 3px 10px rgb(161, 158, 158);
}

.registration-form > fieldset {
	display: flex;
	flex-direction: column;
	row-gap: 25px;

	max-width: 80%;
	max-height: fit-content;

	border: none;
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}

fieldset > legend {
	font-size: 1.5rem;
	font-weight: 700;
	margin-bottom: 12px;
}
.wrapper > label {
	transition: ease-in-out 400ms;
}

form input {
	font-size: 1.3rem;
	padding: 5px 8px;
	border-radius: 5px;
	border: 2px solid #e5e7eb;
}

.wrapper > input:required:valid {
	border-color: #24f436;
}

.wrapper > input:focus {
	border-color: #6879cc;
	box-shadow: 1px 1px 4px #6879cc;
	outline-style: none;
}

.error {
	border-color: #fa4d4d;
	box-shadow: none;
}

.column-wrapper {
	display: flex;
	flex-direction: row;
	column-gap: 50px;
}

.wrapper {
	flex: 1;
	display: flex;
	flex-direction: column;
}

.submit-area {
	flex: 1;
	padding: 20px 0 0px 42px;
}

.submit-area > button {
	font-size: 1.3rem;
	color: #fff;
	padding: 12px 50px;
	background-color: #596d48;
	border-radius: 8px;
	border: 2px solid #e5e7eb;
	box-shadow: 1px 2px 2px #e5e7eb;
	cursor: pointer;
}

.submit-area > p {
	font-size: 1.35rem;
}

.submit-area > p > a {
	font-style: none;
	font-weight: 700;
	text-decoration: none;
	color: #596d48;
}

@media only screen and (max-width: 950px) {
	main {
		flex-direction: column;
	}
	.form-section {
		width: 100%;
	}
	.top-paragraph {
		padding: 42px;
	}
}

@media only screen and (max-width: 660px) {
	.banner-section {
		min-height: 50%;
	}

	.top-paragraph {
		padding: 42px;
	}
	.column-wrapper {
		flex-direction: column;
		gap: 20px;
	}

	form {
		padding: 42px;
	}
	.submit-area {
		padding: 60px 0 90px 42px;
	}
}
